scala

# Tuple8

#### case class Tuple8[+T1, +T2, +T3, +T4, +T5, +T6, +T7, +T8](_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8) extends Product8[T1, T2, T3, T4, T5, T6, T7, T8] with Product with Serializable

A tuple of 8 elements; the canonical representation of a scala.Product8.

_1

  Element 1 of this Tuple8

_2

  Element 2 of this Tuple8

_3

  Element 3 of this Tuple8

_4

  Element 4 of this Tuple8

_5

  Element 5 of this Tuple8

_6

  Element 6 of this Tuple8

_7

  Element 7 of this Tuple8

_8

  Element 8 of this Tuple8

Annotations
  @deprecatedInheritance( ... , "2.11.0" )
Source
  Tuple8.scala

Linear Supertypes
Serializable, java.io.Serializable, Product8[T1, T2, T3, T4, T5, T6, T7, T8], Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Tuple8
2. Serializable
3. Serializable
4. Product8
5. Product
6. Equals
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Tuple8(_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8)

   Create a new tuple with 8 elements.

   Create a new tuple with 8 elements. Note that it is more idiomatic to create a Tuple8 via `(t1, t2, t3, t4, t5, t6, t7, t8)`

   _1

     Element 1 of this Tuple8

   _2

     Element 2 of this Tuple8

   _3

     Element 3 of this Tuple8

   _4

     Element 4 of this Tuple8

   _5

     Element 5 of this Tuple8

   _6

     Element 6 of this Tuple8

   _7

     Element 7 of this Tuple8

   _8

     Element 8 of this Tuple8

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8) to any2stringadd[(T1, T2, T3, T4, T5, T6, T7, T8)] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): ((T1, T2, T3, T4, T5, T6, T7, T8), B)

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8)] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val _1: T1

   Element 1 of this Tuple8

   Element 1 of this Tuple8

   Definition Classes
     Tuple8 → Product8

7. #### val _2: T2

   Element 2 of this Tuple8

   Element 2 of this Tuple8

   Definition Classes
     Tuple8 → Product8

8. #### val _3: T3

   Element 3 of this Tuple8

   Element 3 of this Tuple8

   Definition Classes
     Tuple8 → Product8

9. #### val _4: T4

   Element 4 of this Tuple8

   Element 4 of this Tuple8

   Definition Classes
     Tuple8 → Product8

10. #### val _5: T5

    Element 5 of this Tuple8

    Element 5 of this Tuple8

    Definition Classes
      Tuple8 → Product8

11. #### val _6: T6

    Element 6 of this Tuple8

    Element 6 of this Tuple8

    Definition Classes
      Tuple8 → Product8

12. #### val _7: T7

    Element 7 of this Tuple8

    Element 7 of this Tuple8

    Definition Classes
      Tuple8 → Product8

13. #### val _8: T8

    Element 8 of this Tuple8

    Element 8 of this Tuple8

    Definition Classes
      Tuple8 → Product8

14. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### def ensuring(cond: ((T1, T2, T3, T4, T5, T6, T7, T8)) ⇒ Boolean, msg: ⇒ Any): (T1, T2, T3, T4, T5, T6, T7, T8)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: ((T1, T2, T3, T4, T5, T6, T7, T8)) ⇒ Boolean): (T1, T2, T3, T4, T5, T6, T7, T8)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean, msg: ⇒ Any): (T1, T2, T3, T4, T5, T6, T7, T8)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean): (T1, T2, T3, T4, T5, T6, T7, T8)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8) to StringFormat[(T1, T2, T3, T4, T5, T6, T7, T8)] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def productArity: Int

    The arity of this product.

    The arity of this product.

    returns

      8

    Definition Classes
      Product8 → Product

29. #### def productElement(n: Int): Any

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    n

      number of the projection to be returned

    returns

      same as `._(n+1)`, for example `productElement(0)` is the same as `._1`.

    Definition Classes
      Product8 → Product
    Annotations
      @throws( clazz = classOf[IndexOutOfBoundsException] )
    Exceptions thrown
      IndexOutOfBoundsException

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      Tuple8 → AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def →[B](y: B): ((T1, T2, T3, T4, T5, T6, T7, T8), B)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8)] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product8[T1, T2, T3, T4, T5, T6, T7, T8]

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (T1, T2, T3, T4, T5, T6, T7, T8) to any2stringadd[(T1, T2, T3, T4, T5, T6, T7, T8)]

### Inherited by implicit conversion StringFormat from (T1, T2, T3, T4, T5, T6, T7, T8) to StringFormat[(T1, T2, T3, T4, T5, T6, T7, T8)]

### Inherited by implicit conversion Ensuring from (T1, T2, T3, T4, T5, T6, T7, T8) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8)]

### Inherited by implicit conversion ArrowAssoc from (T1, T2, T3, T4, T5, T6, T7, T8) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8)]

### Ungrouped